#431 Cannot launch Mac version

closed-fixed
nobody
Client (126)
5
2009-06-14
2009-05-22
Jim Padian
No

I downloaded the Mac universal version and tried to run it on my new iMac running OS X 10.5.7 and with an Nvidia GeForce 9400 graphics card. The application crashes immediately and will not execute. It's probably something very simple, but I am completely new to the Mac world and hence unable so far to sort this out.

Discussion

  • Sea Mac
    Sea Mac
    2009-05-28

    Detailed Crash Report.

    Model: MacPro3,1, BootROM MP31.006C.B05, 8 processors, Quad-Core Intel Xeon, 2.8 GHz, 2 GB
    Graphics: kHW_ATIrv630Item, ATI Radeon HD 2600, spdisplays_pcie_device, 256 MB
    Memory Module: global_name
    Bluetooth: Version 2.1.6f8, 2 service, 0 devices, 2 incoming serial ports
    Network Service: Ethernet 1, Ethernet, en0
    PCI Card: ATI Radeon HD 2600, display, Slot-1
    Serial ATA Device: WDC WD10EACS-00D6B0, 931.51 GB
    Serial ATA Device: WDC WD10EACS-00D6B0, 931.51 GB
    Serial ATA Device: Maxtor 6Y160M0, 152.67 GB
    Serial ATA Device: WDC WD10EACS-00D6B1, 931.51 GB
    Parallel ATA Device: OPTIARC DVD RW AD-7170A
    USB Device: Keyboard Hub, (null) mA
    USB Device: Trackball, (null) mA
    USB Device: Apple Keyboard, (null) mA
    USB Device: Mass Storage Device, (null) mA
    USB Device: Bluetooth USB Host Controller, (null) mA
    USB Device: hub_device, (null) mA
    USB Device: Plantronics Headset, (null) mA
    FireWire Device: built-in_hub, unknown_value, unknown_speed

    Process: FreeOrion [24674]
    Path: /Users/Shared/Downloads/Leopard Intel/Games/FreeOrion.app/Contents/MacOS/FreeOrion
    Identifier: org.FreeOrion
    Version: ??? (???)
    Code Type: X86 (Native)
    Parent Process: launchd [94]

    Interval Since Last Report: 928330 sec
    Crashes Since Last Report: 6
    Per-App Interval Since Last Report: 0 sec
    Per-App Crashes Since Last Report: 1

    Date/Time: 2009-05-27 23:10:13.902 -0700
    OS Version: Mac OS X 10.5.7 (9J61)
    Report Version: 6
    Anonymous UUID: 1441ACBC-01F0-4FE8-9B0A-0123456789A

    Exception Type: EXC_BREAKPOINT (SIGTRAP)
    Exception Codes: 0x0000000000000002, 0x0000000000000000
    Crashed Thread: 0

    Dyld Error Message:
    Library not loaded: /usr/lib/libltdl.3.dylib
    Referenced from: /Users/Shared/Downloads/Leopard Intel/Games/FreeOrion.app/Contents/MacOS/FreeOrion
    Reason: image not found

    Crashes a second after launch.

    Console Log:
    5/27/09 11:10:13 PM [0x0-0x307307].org.FreeOrion[24674] Referenced from: /Users/Shared/Downloads/Leopard Intel/Games/FreeOrion.app/Contents/MacOS/FreeOrion
    5/27/09 11:10:13 PM [0x0-0x307307].org.FreeOrion[24674] Reason: image not found

    Crash Log:
    Process: FreeOrion [24674]
    Path: /Users/Shared/Downloads/Leopard Intel/Games/FreeOrion.app/Contents/MacOS/FreeOrion
    Identifier: org.FreeOrion
    Version: ??? (???)
    Code Type: X86 (Native)
    Parent Process: launchd [94]

    Date/Time: 2009-05-27 23:10:13.902 -0700
    OS Version: Mac OS X 10.5.7 (9J61)
    Report Version: 6
    Anonymous UUID: 1441ACBC-01F0-4FE8-9B0A-F0D8651D3497

    Exception Type: EXC_BREAKPOINT (SIGTRAP)
    Exception Codes: 0x0000000000000002, 0x0000000000000000
    Crashed Thread: 0

    Dyld Error Message:
    Library not loaded: /usr/lib/libltdl.3.dylib
    Referenced from: /Users/Shared/Downloads/Leopard Intel/Games/FreeOrion.app/Contents/MacOS/FreeOrion
    Reason: image not found

    5/27/09 11:10:14 PM com.apple.launchd[94] ([0x0-0x307307].org.FreeOrion[24674]) Exited abnormally: Trace/BPT trap

    Did you guys leave a breakpoint in there?
    Perhaps a Library isn't linked properly?

     
  • Markus Sinner
    Markus Sinner
    2009-05-28

    Have you been able to run a version of FreeOrion in the past? There is a know Bug that FreeOrion crashes on ATI Systems, regardless of the OS you are using. This could be the cause of your problem too.

     
  • Jonathan Siwek
    Jonathan Siwek
    2009-06-13

    Try the newest release (0.3.13 intel). The older, universal releases may attempt to find shared libraries that a pure OS install wouldn't provide.

     
  • Jim Padian
    Jim Padian
    2009-06-14

    Yes! The latest version 0.3.13 Intel works on my iMac. Many thanks !

     
  • Zach Laine
    Zach Laine
    2009-06-14

    • status: open --> closed-fixed